package com.ruoyi.system.service;

import java.util.List;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain.KeyPeopleInfo;

/**
 * 重点人群信息Service接口
 * 
 * @author boman
 * @date 2022-09-27
 */
public interface IKeyPeopleInfoService 
{
    /**
     * 查询重点人群信息
     * 
     * @param id 重点人群信息主键
     * @return 重点人群信息
     */
    public KeyPeopleInfo selectKeyPeopleInfoById(Long id);

    /**
     * 查询重点人群信息列表
     * 
     * @param keyPeopleInfo 重点人群信息
     * @return 重点人群信息集合
     */
    public List<KeyPeopleInfo> selectKeyPeopleInfoList(KeyPeopleInfo keyPeopleInfo);

    /**
     * 新增重点人群信息
     * 
     * @param keyPeopleInfo 重点人群信息
     * @return 结果
     */
    public int insertKeyPeopleInfo(KeyPeopleInfo keyPeopleInfo);

    /**
     * 修改重点人群信息
     * 
     * @param keyPeopleInfo 重点人群信息
     * @return 结果
     */
    public int updateKeyPeopleInfo(KeyPeopleInfo keyPeopleInfo);

    /**
     * 批量删除重点人群信息
     * 
     * @param ids 需要删除的重点人群信息主键集合
     * @return 结果
     */
    public int deleteKeyPeopleInfoByIds(Long[] ids);

    /**
     * 删除重点人群信息信息
     * 
     * @param id 重点人群信息主键
     * @return 结果
     */
    public int deleteKeyPeopleInfoById(Long id);

    /**
     * 导入重点人群信息
     * @param keyPeopleList
     * @return
     */
    public void importUser(List<KeyPeopleInfo> keyPeopleList);
}
